#
# spec file for package cpu-mitigations-formula
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           cpu-mitigations-formula
Version:        0.5.0
Release:        220400.1.1.uyuni2
Summary:        CPU mitigation Salt Formula for SUSE Manager
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/SUSE/salt-formulas
Requires:       salt-master
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# This would be better with a macro that just strips "-formula" from {name}
%define fname cpu-mitigations

%description
Salt Formula for SUSE Manager. Edits grub entries for kernel cpu mitigation options.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
mkdir -p %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}
cp -R states/* %{buildroot}/usr/share/susemanager/formulas/states/%{fname}
cp -R metadata/* %{buildroot}/usr/share/susemanager/formulas/metadata/%{fname}

%files
%defattr(-,root,root,-)
/usr/share/susemanager

%changelog
* Tue Apr 25 2023 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to version 0.5.0:
  * Mark all SUSE Linux Enterprise 15 SP4 and newer and
    openSUSE 15.4 and newer as supported (bsc#1210835)
* Thu Aug 26 2021 Witek Bedyk <witold.bedyk@suse.com>
- Version 0.4.0
- Add SLES 15 SP3 and openSUSE Leap 15.3 to supported versions
* Mon Nov 30 2020 Alexander Graul <alexander.graul@suse.com>
- Update to version 0.3:
  - Handle unsupported target systems gracefully (bsc#1179273)
* Fri Sep 18 2020 Cédric Bosdonnat <cbosdonnat@suse.com>
- Update to 0.2:
  - add mitigations for Xen hypervisor
* Fri Aug 16 2019 Martin Seidl <mseidl@suse.de>
- Fix grub entry changed for sle12* so it matches sle15* (bsc#1145873)
* Tue Jul 23 2019 Martin Seidl <mseidl@suse.de>
- Initial commit of cpu-mitigations-formula (bsc#1143946)
